/*************************** (C) COPYRIGHT 2017 CXHY ****************************
 * 文件名  ：mathematics.h
 * 描  述  ：滤波处理函数头文件 
 * 版  本  ：V1.0
 * 作  者  ：XuZhongPing
 * 日  期  ：2017/04/26 
*********************************************************************************/
#ifndef __MATHEMATICS_h
#define __MATHEMATICS_h
#include "stdint.h" 
#include "string.h" 
#include "stdlib.h"  
#include "stdio.h" 

uint64_t Pow(uint8_t m, uint8_t n);
void sort_8(uint8_t x[], uint8_t n);
void sort_16(uint16_t x[], uint8_t n);
void sort_32(uint32_t x[], uint16_t n);
uint8_t average_8(uint8_t x[],uint8_t n, uint8_t discardVal);
uint16_t average_16(uint16_t x[], uint8_t n, uint8_t discardVal);
uint32_t average_32(uint32_t x[], uint16_t n, uint16_t discardVal);
uint8_t DifferenceCompare(uint32_t newData, uint32_t oleData, uint16_t LimitValue);

#endif
/******************** (C) COPYRIGHT 2017 CXHY *****END OF FILE*******************/

